**Whimscape 1.20-1.20.1_r4** (2025 Apr 12)
- added mod support: Waystones
- added matching inventory models for wall blocks with custom texture mapping
- added cherry leaves variant texture
- changed cherry leaves texture slightly
- changed pufferfish item texture colors slightly
- changed dead bush block texture slightly
- changed spawn eggs: tweaks to mooshroom and witch
- removed textures\block\sand_s.png


**Whimscape 1.20-1.20.1_r3** (2024 Oct 26)
- added mod support: Dungeons and Taverns key item textures
- added mod support: Visuality particle textures
- added mod support: Mod Menu GUI textures
- added mod support: oωo library GUI textures
- added mod support: Entity Features config button textures
- added mod support: Roughly Enough Items (REI)
- added mod support: EMI
- added mod support: Fabric creative inventory page buttons texture
- added missing Just Enough Items (JEI) textures
- fixed errant pixel in fox and wolf spawn egg items
- fixed tropical fish fin patterns being one-sided
- changed some GUI elements
- changed f, G, i, J, j, t, y and some cyrillic glyphs of the font
- changed enchanted glint textures
- changed many spawn egg items slightly
- changed acacia leaves color slightly
- changed grass and fern base texture colors: reduced saturation of darker shades
- changed banner pattern item textures


**Whimscape 1.20-1.20.1_r2** (2024 Sep 30)
- added redstone torch block models
- added missing torch template block models
- added comparator and repeater models (from 24w38a with UV tweaks)
- added textures for comparator block's subtraction mode
- changed wall torch block model slightly
- changed redstone torch block and item textures
- changed comparator and repeater textures slightly
- changed bee spawn egg item texture: 1-pixel tweak
- changed the colors of brown dye and brown candle item textures
- changed wolf textures: lighter color
- changed pitcher plant colors
- changed sea lantern texture
- changed guardian and elder guardian textures


**Whimscape 1.20-1.20.1_r1** (2024 Mar 19)
- added custom textures for spawn egg items
- added support for the AppleSkin mod
- added support for the Just Enough Items mod
- added support for the Farmer's Delight mod
- added wall torch model with a holder
- fixed dolphin flipper texture orientation
- changed buttons & sliders to a simpler design
- changed recipe book craftable toggles slightly
- changed food hud icons: made smaller to allow for a clean outline in AppleSkin
- changed fuel progress textures: cleaner look
- changed pumpkins: clean up and color adjustment
- changed bee nest: partial redesign
- changed honeycomb block and beehive: adjusted honey color
- changed beetroots and potatoes: shading tweak on the tuber part
- changed crimson and warped stem tops: made distinct from regular logs
- changed cake block slightly
- changed mossy stone brick wall tops slightly
- changed brewing stand rod texture, added emissive map
- changed vindicator pants color
- changed farmland textures slightly
- changed pumpkin pie item: slight color adjustment
- changed potions, experience bottle, dragon's breath: tweaked bottle highlight
- changed stone axe, stone hoe, stone shovel, wooden shovel and wooden axe slightly
- changed cookie texture: made smaller
- changed mutton and cooked mutton texture
- changed bowl, stew and soup textures
- changed bone and bone meal texture colors slightly


**Whimscape 1.20_r4** (2023 Dec 20)
- backported changes up to 1.20.2-1.20.4_r1 (where applicable):

    - **Whimscape 1.20.2-1.20.4_r1** (2023 Dec 20)
        - added gust particle textures
        - added wind charge texture
        - added armadillo texture
        - added armadillo scute texture
        - added wolf armor textures
        - fixed turtle scute item texture name for snapshot 23w51a
        - fixed breeze eyes for snapshot 23w51a
        - changed the font's ampersand closer to the modern form
        - changed potion textures
        - changed dragon's breath texture
        - changed experience bottle texture
        - changed honey bottle texture
        - changed flower pot item texture
        - changed goat horn texture

    - **Whimscape 1.20.2-1.20.3_r1** (2023 Dec 5)
        - added models & textures for the new experimental features
        - added darkness effect icon texture
        - added textures\gui\sprites\widget\slot_frame.png
        - fixed bat texture for the new model in 1.20.3
        - fixed short grass in 1.20.3
        - fixed waxed slab outline missing down-facing texture
        - fixed button block textures being flipped vertically
        - changed infested/waxed blocks: made item outline slightly thinner
        - changed raw copper block texture slightly
        - changed tuff colors slightly
        - removed leftover realms folder

    - **Whimscape 1.20.2_r1** (2023 Sep 26)
        - added the new icons in map_icons.png
        - fixed the GUI for 1.20.2
        - changed structure_block_load, structure_block_save textures
        - changed rail item outlines slightly
        - changed gold ingot, copper ingot for slightly better distinction
        - changed pack_format to 18


**Whimscape 1.20_r3** (2023 Jun 16)
- added paintings: earth, fire, water, wind
- fixed pot patterns: missing "plenty" pattern, wrong "prize" texture


**Whimscape 1.20_r2** (2023 Jun 11)
- fixed OptiFine applying a tint to cherry leaves
- fixed some sniffer egg stage inconsistencies
- changed jungle door and trapdoor design
- changed iron door slightly to be able to tell which side it is on
- changed some other doors: minor tweaks


**Whimscape 1.20_r1** (2023 Jun 7)
- added sniffer and sniffer egg textures
- added pitcher plant and torchflower blocks and items
- added armor trims and templates: host, raiser, shaper, silence, wayfinder
- added decorated pot textures
- added item textures: brush, pottery sherds, relic music disc
- added suspicious gravel
- added calibrated sculk sensor model and textures
- fixed menu logos and invite_icon for the new texture layouts in 1.20
- changed armor trims: dune, sentry
- changed some smithing templates
- changed cherry particles
- changed suspicious sand slightly
- changed bamboo and cherry doors, trapdoors
- changed bamboo block top texture
- changed pack_format to 15

________________________________________________________________

**Whimscape 1.19.4_r2** (2023 Jun 16)
- backported changes up to 1.20_r3 (where applicable)


**Whimscape 1.19.4_r1** (2023 Mar 15)
- added 1.20 data pack features: armor trims, cherry things, suspicious sand
- added world creation screen textures
- added the new separate gui/slider texture
- fixed smithing GUI textures, tweaked legacy gui
- changed some armor to work better with armor trims
- changed enchanted glint slightly
- changed pack_format to 13

________________________________________________________________

**Whimscape 1.19.3_r9** (2023 Jun 16)
- backported changes up to 1.20_r3 (where applicable)


**Whimscape 1.19.3_r8** (2023 Mar 12)
- added custom wither model, tweaked wither skull
- added a variant for sand and red sand
- added dorianpb/cem folder for the Fabric CEM mod, stripped out animations that break it
- fixed witch missing textures when using Fabric CEM
- fixed slight color inconsistency in empty armor slot textures
- changed amethyst blocks to match the custom amethyst cluster model better
- changed some pink colors slightly, pink glazed terracotta pattern tweak
- changed anvil GUI: tweaked icon


**Whimscape 1.19.3_r7** (2023 Feb 19)
- added 1.20 data pack features: bamboo stuff, chiseled bookshelf, hanging signs, camel
- fixed nether wart missing break particles
- fixed rogue pixel in kelp texture
- fixed missing pixels in angry bee with nectar custom model
- fixed z-fighting in fish fins
- changed bamboo stalk to match the new bamboo blocks a bit better
- changed wandering trader custom model: added 3D pouches
- changed pillager, witch, wolf, horse_creamy: small tweaks
- changed item frame backgrounds
- changed loom, smithing table and stonecutter slightly
- changed azalea blocks slightly
- changed netherite: colors, sword to match tools better
- changed ancient debris colors slightly
- changed many items: minor color adjustments


**Whimscape 1.19.3_r6** (2023 Feb 5)
- added custom bee model
- added custom witch model
- added textures for different colors of axolotl bucket (CIT)
- added custom colors: fog.end, sky.end, map.stone, map.water, xp orb
- added a variant for obsidian
- added texture for wither's armor effect
- added emissive texture for strider's eyes
- fixed creative inventory alignment with tabs
- changed ore blocks: made different ores a bit more unique
- changed enderman, endermite
- changed many other mobs: small tweaks
- changed obsidian blocks and entities: mostly a color tweak
- changed many blocks: small tweaks, minor color adjustments
- changed minecart shading slightly
- changed minecart items to use the actual minecart texture
- changed a few item textures slightly
- changed some armors slightly
- changed main menu logo: minor color tweak


**Whimscape 1.19.3_r5** (2023 Jan 15)
- added custom models for chorus flower and plant
- fixed mossy stone brick slabs and stairs not using variant textures
- fixed drowned flipped arm and leg
- fixed wolf collar z-fighting when custom entity models are enabled
- fixed glass pane CTM not connecting properly in corners
- changed glass and stained glass CTM: enabled innerSeams
- changed ice, packed ice and frosted ice textures, added variants
- changed lever texture
- changed hopper: can now tell its direction from above
- changed stonecutter textures
- changed smoker bottom texture
- changed various other blocks slightly
- changed entities: tweaks to many mobs
- changed pack.png: small tweak


**Whimscape 1.19.3_r4** (2023 Jan 5)
- added custom models for pumpkin stems & melon stems
- fixed netherite armor (1.19.3 releases still had old textures)
- fixed inconsistency in door side UVs
- fixed custom door models causing a mod compatibility issue
- changed lectern textures slightly
- changed cactus bottom texture
- changed some green colors slightly
- removed some unused door model files


**Whimscape 1.19.3_r3** (2022 Dec 23)
- added unique textures for enchanted books
    - requires OptiFine, Options/Video Settings/Quality/Custom Items: ON
- changed all book item textures slightly
- changed experience bottle & dragon's breath item textures: added glow outlines


**Whimscape 1.19.3_r2** (2022 Dec 17)
- added CTM for glass, stained glass, glass pane and tinted glass
    - you can delete a block's folder in assets\minecraft\optifine\ctm if you prefer no CTM, or turn it off in video settings
- changed glass & tinted glass colors slightly
- changed nether gold ore slightly
- changed iron block, iron trapdoor slightly
- changed netherite colors (netherite block, ancient debris, lodestone)
- changed netherite armor: partial redesign for a more sinister feel
- changed various items (mostly slight color tweaks)


**Whimscape 1.19.3_r1** (2022 Dec 7)
- added textures\gui\checkbox.png
- added textures\gui\report_button.png
- added an outline to waxed copper blocks in item form
- added jigsaw block textures
- fixed vex textures for the new model in 1.19.3
- fixed missing transparency in allay texture
- fixed creative inventory textures for 1.19.3
- fixed boat items' missing textures (atlases\blocks.json with boat directories)
- fixed inconsistency in top & bottom of door UVs
- changed colors of mangrove wood slightly
- changed colors of bookshelf contents slightly
- changed a pixel on stripped log top textures
- changed OptiFine fog0 colormap slightly
- changed pack_format to 12
- removed some unused model files

________________________________________________________________

**Whimscape 1.19_r10** (2023 Jun 16)
- backported changes up to 1.20_r3 (where applicable)


**Whimscape 1.19_r9** (2023 Mar 12)
- backported changes from 1.19.3_r8


**Whimscape 1.19_r8** (2023 Feb 19)
- backported changes from 1.19.3_r7 (except 1.20 stuff)


**Whimscape 1.19_r7** (2023 Feb 5)
- backported changes from 1.19.3_r6

 
**Whimscape 1.19_r6** (2023 Jan 15)
- backported changes from 1.19.3_r5


**Whimscape 1.19_r5** (2023 Jan 5)
- backported changes from 1.19.3_r4


**Whimscape 1.19_r4** (2022 Dec 23)
- backported changes from 1.19.3_r3


**Whimscape 1.19_r3** (2022 Dec 17)
- backported changes up to 1.19.3_r2 (where applicable)


**Whimscape 1.19_r2** (2022 Oct 08)
- added CHANGELOG.md
- added missing toasts.png icons
- added missing stripped mangrove log textures
- changed colors of mangrove wood blocks to match boats & signs
- removed unused glowstone mcmeta file


**Whimscape 1.19_r1** (2022 Sep 29)
- initial release

________________________________________________________________

**Whimscape 1.18_r3** (2023 Jun 16)
- backported changes up to 1.20_r3 (where applicable)


**Whimscape 1.18_r2** (2023 Jan 5)
- backported changes up to 1.19.3_r4 (where applicable)


**Whimscape 1.18_r1** (2022 Oct 3)
- backport based on 1.19_r1
- added missing toasts.png icons
- changed pack_format to 8

________________________________________________________________

**Whimscape 1.17_r2** (2023 Jan 5)
- backported changes up to 1.19.3_r4 (where applicable)


**Whimscape 1.17_r1** (2022 Oct 3)
- backport based on 1.18_r1
- changed pack_format to 7
